
/*----- shop Sidebar start -----*/
.sidebar-wrapper {
    .sidebar-single {
        &:last-child {
            margin-bottom: 0;
        }
    } 
}
.sidebar-single {
    margin-bottom: 30px;
    .sidebar-title {
        margin-bottom: 5px;
        h3 {
            color: $black-soft;
            font-size: 20px;
            font-weight: 700;
            line-height: 22px;
            margin-top: -3px;
            text-transform: uppercase;
        }
    }
    .advertising-thumb {
        margin-top: 45px;
    }
}
/*----- Sidebar Category -----*/
.sidebar-category {
    & li {
        & > a {
            font-size: 15px;
            color: $black-soft;
            text-transform: capitalize;
            line-height: 18px;
            position: relative;
            display: block;
            padding: 18px 0 15px;
            border-bottom: 1px solid #ededed;
            &:hover {
                color: $theme-color;
            }
        }
        
        &.has-children {
            & > a {
                &::before {
                    top: 50%;
                    right: 0;
                    content: "\f067";
                    font-size: 12px;
                    position: absolute;
                    font-family: Fontawesome;
                    text-align: right;
                    @include translate(0, -44%);
                }
            }
        }
        
        & ul {
            & li {
                border: none;
                padding: 5px 25px;
                & a {
                    font-size: 14px;
                    text-transform: capitalize;
                    padding: 10px 0 12px;
                }
            }
        }
        &:last-child {
            a {
                border-bottom: none;
                padding-bottom: 0;
            }
        }
    }
}
/*----- shop Sidebar end -----*/

/*----- price Sidebar start -----*/
.price-container{
    li{
        padding: 15px 0 12px;
        border-bottom: 1px solid #ededed;
        label {
            margin-bottom: 0;
            &.radio-container,
            &.checkbox-container {
                display: block;
                position: relative;
                padding-left: 30px;
                cursor: pointer;
                font-size: 15px;
                color: $black-soft;
                user-select: none;
                @include transition;
                text-transform: capitalize;
                input{
                    position: absolute;
                    opacity: 0;
                    cursor: pointer;
                    &:checked ~ .checkmark:after {
                        display: block;
                    }
                }
                &:hover {
                    color: $theme-color;
                }
                .checkmark {
                    position: absolute;
                    top: 0;
                    left: 0;
                    height: 16px;
                    width: 16px;
                    margin-top: 2px;
                    background-color: #fff;
                    border: 1px solid #ccc;
                    &:after {
                        content: "";
                        position: absolute;
                        display: none;
                        height: 8px;
                        width: 8px;
                        background-color: $theme-color;
                        left: 50%;
                        top: 50%;
                        @include translate(-50%, -50%) 
                    }
                }
                &.radio-container {
                    .checkmark {
                        @include border-radius(50%);
                        &:after {
                            @include border-radius(50%); 
                        }
                    }
                }
            }
        }
        &.active {
            label {
                &.radio-container,
                &.checkbox-container {
                    color: $theme-color;
                }
            }
        }
        &:last-child {
            border-bottom: none;
            padding-bottom: 0;
        }
    }
}
/*----- price Sidebar end -----*/

/*----- popular item end -----*/
.popular-item-inner {
    margin-top: 25px;
    .popular-item {
        &:last-child {
            margin-bottom: 10px;
        }
    }
    &__style-2 {
        .popular-item {
            .pop-item-des {
                h4 {
                    @media #{$desktop-device} {
                        font-size: 14px;
                        line-height: 24px;
                    }
                }
            }
        } 
    }
}
.popular-item {
    margin-bottom: 25px;
    @include flexbox;
    @include align-items(center);
    .pop-item-thumb {
        width: 65px;
        flex: 1 0 auto;
        max-height: 80px;
        border: 1px solid $bdr-color;
    }
    .pop-item-des {
        padding-left: 10px;
        width: calc(100% - 65px);
        h4 {
            display: block;
            font-size: 15px;
            font-weight: 600;
            padding-bottom: 20px;
            text-transform: uppercase;
            @media #{$desktop-device} {
                padding: 2px 0;
            }
            a {
                color: $black-soft;
                &:hover {
                    color: $theme-color;
                }
            }
            &.pop-price {
                color: $black-soft;
                font-size: 15px;
            }
        }
    }
}
/*----- popular item end -----*/

/*------- advertising banner area start -------*/
.advertising-thumb {
    position: relative;
    a { 
        &::before {
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            content: "";
            position: absolute;
            @include bg-rgba($white, 0.2);
            transform: rotateY(-90deg);
            @include transition(1s);
        }
        &:hover {
            &::before {
                transform: rotateY(0);
                opacity: 0;
            }
        }
        &::after {
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            content: "";
            position: absolute;
            @include bg-rgba($white, 0.2);
            transform: rotateX(-90deg);
            @include transition(1s);
        }
        &:hover {
            &::after {
                transform: rotateX(0);
                opacity: 0;
            }
        }
    }
}
/*------- advertising banner area end -------*/

